{% extends 'base.html' %}

{% block content %}
    <h2>Homepage</h2>
    <p> Welcome Book Media Sharing App,{% if user.is_authenticated %} {{user.username}} {% else %} visitor {% endif %} !</p>
    <a  href="{% url 'home' %}">Home</a> /
    {% if user.is_authenticated %}
        <a  href="{% url 'profile_page' %}"> Profile Page</a> /
        <a  href="{% url 'password_change' %}"> Change password</a> /
        <a  href="{% url 'logout' %}">Log out</a> /
        <p>
            <strong> You are logged in as  {{user.username}}</strong>
        </p>
    {% else %}
        <a  href="{% url 'login' %}">Log in</a> /
        <a  href="{% url 'signup' %}">Sign up</a> /
    {% endif %}
    <p>
        <strong> Total users registered : </strong> {{count}}
    </p>
{% endblock %}